org.optaplanner.core.impl.localsearch.decider.forager.finalist

## Class AbstractFinalistPodium

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
    - - org.optaplanner.core.impl.localsearch.decider.forager.finalist.AbstractFinalistPodium

- All Implemented Interfaces:
    EventListener, FinalistPodium, LocalSearchPhaseLifecycleListener, SolverLifecycleListener
  Direct Known Subclasses:
    HighestScoreFinalistPodium, StrategicOscillationByLevelFinalistPodium

      public abstract class AbstractFinalistPodium
      extends LocalSearchPhaseLifecycleListenerAdapter
      implements FinalistPodium

  Abstract superclass for `FinalistPodium`.
  See Also:
    `FinalistPodium`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `FINALIST_LIST_MAX_SIZE`
    `protected boolean` | `finalistIsAccepted`
    `protected List<LocalSearchMoveScope>` | `finalistList`
    `protected org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFinalistPodium()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addFinalist(LocalSearchMoveScope moveScope)`
    `protected void` | `clearAndAddFinalist(LocalSearchMoveScope moveScope)`
    `List<LocalSearchMoveScope>` | `getFinalistList()`
    `void` | `phaseEnded(LocalSearchPhaseScope phaseScope)`
    `void` | `stepStarted(LocalSearchStepScope stepScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `phaseStarted, stepEnded`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.decider.forager.finalist.FinalistPodium

      `addMove`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `phaseStarted, stepEnded`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Field Detail

    - #### FINALIST_LIST_MAX_SIZE

          protected static final int FINALIST_LIST_MAX_SIZE

      See Also:
        Constant Field Values

    - #### logger

          protected final transient org.slf4j.Logger logger

    - #### finalistIsAccepted

          protected boolean finalistIsAccepted

    - #### finalistList

          protected List<LocalSearchMoveScope> finalistList

  - ### Constructor Detail

    - #### AbstractFinalistPodium

          public AbstractFinalistPodium()

  - ### Method Detail

    - #### stepStarted

          public void stepStarted(LocalSearchStepScope stepScope)

      Specified by:
        `stepStarted` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `stepStarted` in class `LocalSearchPhaseLifecycleListenerAdapter`

    - #### clearAndAddFinalist

          protected void clearAndAddFinalist(LocalSearchMoveScope moveScope)

    - #### addFinalist

          protected void addFinalist(LocalSearchMoveScope moveScope)

    - #### getFinalistList

          public List<LocalSearchMoveScope> getFinalistList()

      Specified by:
        `getFinalistList` in interface `FinalistPodium`
      Returns:
        never null, sometimes empty

    - #### phaseEnded

          public void phaseEnded(LocalSearchPhaseScope phaseScope)

      Specified by:
        `phaseEnded` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `phaseEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.